<?xml version="1.0"?>
<!DOCTYPE mbeans-descriptors PUBLIC
 "-//Apache Software Foundation//DTD Model MBeans Configuration File"
 "http://jakarta.apache.org/commons/dtds/mbeans-descriptors.dtd">

<!--
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - JOnAS: Java(TM) Open Application Server
 - Copyright (C) 2005-2009 Bull S.A.S.
 - Contact: jonas-team@ow2.org
 -
 - This library is free software; you can redistribute it and/or
 - modify it under the terms of the GNU Lesser General Public
 - License as published by the Free Software Foundation; either
 - version 2.1 of the License, or any later version.
 -
 - This library is distributed in the hope that it will be useful,
 - but WITHOUT ANY WARRANTY; without even the implied warranty of
 - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 - Lesser General Public License for more details.
 -
 - You should have received a copy of the GNU Lesser General Public
 - License along with this library; if not, write to the Free Software
 - Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 - USA
 -
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 - $Id: mbeans-descriptors.xml 16671 2009-02-27 13:19:58Z fornacif $
 - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 -->

<mbeans-descriptors>

  <!-- WebService Component =========================================================== -->
  <mbean name="WebService"
         description="The WebService MBean represents the webservices-description element in webservices.xml. This is a set of port-components + WSDL + mapping file ..."
         domain="JOnAS"
         group="J2EEManaged"
         type="org.ow2.jonas.ws.jaxrpc.mbean.Service">

    <!-- WebService management -->
    <attribute name="portComponents"
               description="Array of ObjectName representing the children PortComponent"
               type="[Ljava.lang.String;"
               writeable="false"/>

    <attribute name="name"
               description="The service name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="wsdlURL"
               description="The online WSDL URL"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="mappingFilename"
               description="The JAX-RPC Mapping file name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="wsdlFilename"
               description="The WSDL file name"
               type="java.lang.String"
               writeable="false"/>

    <!-- JSR77 J2EEManagedObject -->
    <attribute name="objectName"
               description="JMX name of this object"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="stateManageable"
               description="State management support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="statisticsProvider"
               description="Performance statistics support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="eventProvider"
               description="Event provider support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>
  </mbean>

  <!-- WebServicePortComponent Component =========================================================== -->
  <mbean name="WebServicePortComponent"
         description="The WebServicePortComponent MBean represents a port-component element in webservices.xml, it can be viewed as the webservice endpoint too."
         domain="JOnAS"
         group="J2EEManaged"
         type="org.ow2.jonas.ws.jaxrpc.mbean.PortComponent">

    <!-- PortComponent management -->
    <attribute name="handlers"
               description="Array of ObjectName for children Handler(s)"
               type="[Ljava.lang.String;"
               writeable="false"/>

    <attribute name="name"
               description="The port-component name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="wsdlPort"
               description="The Stringified wsdl:port QName"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="serviceEndpointInterface"
               description="The Service Endpoint Interface Fully Qualified class name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="endpoint"
               description="The port URL endpoint where the webservice can be accessed"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="implementationBean"
               description="The StatelessSessionBean or Servlet ObjectName which implements the service"
               type="java.lang.String"
               writeable="false"/>

    <!-- JSR77 J2EEManagedObject -->
    <attribute name="objectName"
               description="JMX name of this object"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="stateManageable"
               description="State management support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="statisticsProvider"
               description="Performance statistics support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="eventProvider"
               description="Event provider support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>
  </mbean>

  <!-- WebServiceHandler Component =========================================================== -->
  <mbean name="WebServiceHandler"
         description="The WebServiceHandler MBean represents a JAX-RPC Handler (as opposite to Axis Handlers) which is invoked each time a SOAP Message is flowing to the endpoint."
         domain="JOnAS"
         group="J2EEManaged"
         type="org.ow2.jonas.ws.jaxrpc.mbean.Handler">

    <!-- Handler management -->
    <attribute name="name"
               description="The handler name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="classname"
               description="The handler class name"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="soapHeaders"
               description="The stringified list of soap Headers (QName) the handler can access"
               type="[Ljava.lang.String;"
               writeable="false"/>

    <attribute name="soapRoles"
               description="the list of soap roles the handler works under"
               type="[Ljava.lang.String;"
               writeable="false"/>

    <attribute name="initParams"
               description="the handler init parameters"
               type="java.util.Properties"
               writeable="false"/>

    <!-- JSR77 J2EEManagedObject -->
    <attribute name="objectName"
               description="JMX name of this object"
               type="java.lang.String"
               writeable="false"/>

    <attribute name="stateManageable"
               description="State management support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="statisticsProvider"
               description="Performance statistics support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>

    <attribute name="eventProvider"
               description="Event provider support for this managed object"
               is="true"
               type="boolean"
               writeable="false"/>
  </mbean>

</mbeans-descriptors>
